<template>
  <component :is="component"></component>
</template>
<script lang="ts" setup>
import { store } from "~~/store";
import { defineAsyncComponent } from "vue";

const props = defineProps({
  theme: {
    type: String,
    default: "",
  },
});
const path = `../components/theme/${props.theme}/game.vue`;
const component = defineAsyncComponent(
  async () => import(/* @vite-ignore */ path)
);
</script>
